# $Revision: 1.29 $, $Date: 2002/10/25 12:24:13 $
Summary:	Perl-Compatible Regular Expression library
Summary(pl):	Biblioteka perlowych wyrae regularnych
Summary(pt_BR):	Biblioteca de expresses regulares verso
Name:		pcre
Version:	3.9
Release:	3
License:	GPL
Vendor:		Philip Hazel <ph10@cam.ac.uk>
Group:		Libraries
Source0:	ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/%{name}-%{version}.tar.bz2
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libpcre0

%description
PCRE stands for the Perl Compatible Regular Expression library. It
contains routines to match text against regular expressions similar to
perl's. It also contains a POSIX compatibility library.

%description -l es
A biblioteca PCRE  um set de funes que implementam expresses
regulares utilizando-se da mesma sintaxe e semntica do perl 5. Possui
sua prpria API nativa, bem como um set de funes wrapper para
corresponder ao padro POSIX de expresses regulares.

%description -l pl
PCRE (Perl-Compatible Regular Expression) oznacza bibliotek wyrae
regularnych kompatybilnych z perlowymi. Zawiera funkcje dopasowujce
tekst do wyrae regularnych podobnych do tych znanych z perla.
Zawiera take bibliotek kompatybiln z POSIX.

%description -l pt_BR
A biblioteca PCRE  um conjunto de funes que implementam expresses
regulares utilizando-se da mesma sintaxe e semntica do perl 5. Possui
sua prpria API nativa, bem como um conjuntos de funes wrapper para
corresponder ao padro POSIX de expresses regulares.

%package devel
Summary:	Perl-Compatible Regular Expression header files and development documentation
Summary(pl):	Pliki nagwkowe i dokumentacja do bibliotek pcre
Summary(pt_BR):	Arquivos para desenvolvimento com pcre
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	libpcre0-devel

%description devel
Perl-Compatible Regular Expression header files and development
documentation.

%description devel -l es
A biblioteca PCRE  um set de funes que implementam expresses
regulares utilizando-se da mesma sintaxe e semntica do perl 5. Possui
sua prpria API nativa, bem como um set de funes wrapper para
corresponder ao padro POSIX de expresses regulares.

%description devel -l pl
Pliki nagwkowe i dokumentacja do blibliotek pcre.

%description devel -l pt_BR
A biblioteca PCRE  um conjunto de funes que implementam expresses
regulares utilizando-se da mesma sintaxe e semntica do perl 5. Possui
sua prpria API nativa, bem como um conjunto de funes wrapper para
corresponder ao padro POSIX de expresses regulares.

%package static
Summary:	Perl-Compatible Regular Expression static libraries
Summary(pl):	Biblioteki statyczne pcre
Summary(pt_BR):	Arquivos para desenvolvimento esttico com pcre
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Perl-Compatible Regular Expression library staic libraris.

%description static -l es
A biblioteca PCRE  um set de funes que implementam expresses
regulares utilizando-se da mesma sintaxe e semntica do perl 5. Possui
sua prpria API nativa, bem como um set de funes wrapper para
corresponder ao padro POSIX de expresses regulares.

%description static -l pl
Biblioteki statyczne pcre.

%description static -l pt_BR
A biblioteca PCRE  um conjunto de funes que implementam expresses
regulares utilizando-se da mesma sintaxe e semntica do perl 5. Possui
sua prpria API nativa, bem como um conjunto de funes wrapper para
corresponder ao padro POSIX de expresses regulares.

%package -n pcregrep
Summary:	Grep using Perl Compatible Regular Expressions
Summary(pl):	Grep uywajcy perlowych wyrae regularnych
Group:		Applications/Text
Obsoletes:	pgrep

%description -n pcregrep
pgrep is a grep workalike which uses perl-style regular expressions
instead of POSIX regular expressions.

%description -n pcregrep -l pl
pgrep jest programem dziaajcym podobnie do grepa, ale uywajcych
perlowych wyrae regularnych, a nie posiksowych.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%configure \
	--enable-shared
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib

%{__make} install DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_libdir}/lib*.so.*.* $RPM_BUILD_ROOT/lib

cd $RPM_BUILD_ROOT%{_libdir}
ln -sf /lib/`cd ../../lib ; echo libpcre.so.*.*.*` libpcre.so
ln -sf /lib/`cd ../../lib ; echo libpcreposix.so.*.*.*` libpcreposix.so

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README NEWS
%attr(755,root,root) /lib/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pcre-config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_mandir}/man3/*
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files -n pcregrep
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pcregrep
%{_mandir}/man1/pcregrep.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pcre.spec,v $
Revision 1.29  2002/10/25 12:24:13  qboosh
- use absolute symlinks between directories; new %%doc; release 3

Revision 1.28  2002/10/09 13:14:42  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.27  2002/05/21 23:14:21  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.26  2002/03/24 15:45:51  kloczek
- release 2: libpcre0{,-devel} added to Obsletes for allow upgrade from MDK.

Revision 1.25  2002/02/23 04:17:26  kloczek
- adapterized.

Revision 1.24  2002/02/22 23:29:23  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/18 02:14:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2002/01/10 21:46:22  kloczek
- updated to 3.9 (importand bugfix release).

Revision 1.21  2001/12/22 09:44:09  kloczek
- updated to 3.8 (fixes for handle UTF-8).

Revision 1.20  2001/11/27 07:27:19  kloczek
- switch to bzipped tar ball.

Revision 1.19  2001/11/27 07:23:38  kloczek
- bump release to 2 and merge translations from CNV.

Revision 1.18  2001/11/27 07:17:34  kloczek
- updated to 3.7.

Revision 1.17  2001/10/11 08:52:14  qboosh
- adapterized, remaining pl translations, BR: autoconf,automake

Revision 1.16  2001/08/15 21:05:20  areq
- update to 3.5, STBR

Revision 1.15  2001/07/11 12:16:56  kloczek
- release 3,
- spec adapterized,
- make spec ac 2.50 ready: regenerate ac/am files in %build.

Revision 1.14  2001/03/30 20:24:07  baggins
- release 2
- devel stuff goes to /usr/*

Revision 1.13  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.12  2000/08/23 09:45:52  kloczek
- updated to 3.4,
- removed outdated DESTDIR patch.

Revision 1.11  2000/07/05 01:19:10  kloczek
- updated to 3.2.

Revision 1.10  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.9  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/20 21:58:00  kloczek
- spec adapterized.

Revision 1.7  2000/04/14 16:43:29  zagrodzki
- release 3

Revision 1.6  2000/04/14 16:41:44  zagrodzki
- libpcre goes to /lib

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.3  2000/03/02 22:49:31  wiget
- add post/postun scripts

Revision 1.2  2000/02/10 02:34:37  kloczek
- updated to 3.1,
- separated devel and static subpackages,
- adapterized and mostly rewrited spec.

* Thu Sep 09 1999 Damien Miller <dmiller@ilogic.com.au>
- Updated to v2.08

* Fri May 28 1999 Damien Miller <dmiller@ilogic.com.au>
- Built RPMs
